Name:		isodumper
Version:	1.15
Release:	%mkrel 1
Summary:	Tool for writing ISO images on a USB stick
Summary(fr_FR):	Outil pour écrire des images ISO sur une clé USB
License:	GPLv2+ and LGPLv2+
Group:		System/Configuration
URL:		http://gitweb.mageia.org/software/isodumper/about/
Source0:	http://gitweb.mageia.org/software/isodumper/snapshot/%{name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	pango
BuildRequires:	systemd

Requires:	polkit
Requires:	python3
Requires:	python3-gobject3
Requires:	python3-gnupg
Requires:	python3-parted
Requires:	python3-psutil
Requires:	python3-pydbus
Requires:	python3-yui
Requires:	udisks2
Requires:	libyui-ncurses
Requires:	libyui-mga-ncurses
# ensure that users are asked to choice a GUI between Qt or GTK
Requires:	%{name}-gui

Provides:	backup-tool
Provides:	dump-tool
Provides:	format-tool

%description
A tool for USB sticks and removable memory devices like SD-cards.

Features:
* dump ISO file on the device;
* format the device in one partition of ext4, NTFS or FAT32 type;
* backup the device as a whole.

This software is written in python 3.

%description -l fr_FR
Un outil graphique pour écrire des images ISO sur une clé USB ou un
support à mémoire.
C'est un fork de usb-imagewriter

Ce logiciel est écrit en python.

#----------------------------------------------------

%package	qt
Summary:	IsoDumper for Qt
Group:		System/Configuration
Requires:	%{name} = %{version}-%{release}
Requires:	libyui-qt
Requires:	libyui-mga-qt
# provide the same GUI allowing users to have a choice between Qt or GTK
Provides:	%{name}-gui

%description	qt
%{name}-qt is a meta-package containing Qt dependency for %{name}
and also the menu entry.

#----------------------------------------------------

%package	gtk
Summary:	IsoDumper for GTK
Group:		System/Configuration
Requires:	%{name} = %{version}-%{release}
Requires:	libyui-gtk
Requires:	libyui-mga-gtk
# provide the same GUI allowing users to have a choice between Qt or GTK
Provides:	%{name}-gui

%description	gtk
%{name}-gtk is a meta-package containing GTK dependency for %{name}
and also the menu entry.

#----------------------------------------------------

%prep
%autosetup

%build
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING.GPL COPYING.LGPL CHANGELOG i18n.md README.md
%config(noreplace) %{_sysconfdir}/mpan/categories.conf.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mageia.Magiback.conf
%{_bindir}/%{name}
%{_bindir}/magiback
%{_usr}/lib/%{name}/
%{_unitdir}/magiback.service
%{_datadir}/%{name}/
%{_datadir}/dbus-1/system-services/org.mageia.Magiback.service
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/*/%{name}.*
%{python3_sitelib}/%{name}/

%files qt
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/applications/format-usb-qt.desktop

%files gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/applications/format-usb-gtk.desktop


%changelog
* Tue Aug 20 2019 daviddavid <daviddavid> 1.15-1.mga6
+ Revision: 1430626
- new version: 1.15
- new version: 1.13
- new version: 1.12
- add missing dependencie on python3-psutil
- new version: 1.11
- new version: 1.10 (fixes mga#25173)
- new version: 1.09 (mga#25091)
- new version: 1.07
- new version: 1.06
- new version: 0.59 (fixes mga#21597)

* Tue Jun 06 2017 akien <akien> 0.58-1.mga6
+ Revision: 1107106
- Version 0.58, translation updates

* Mon Mar 13 2017 akien <akien> 0.56-1.mga6
+ Revision: 1092365
- Version 0.56

* Mon Jan 02 2017 daviddavid <daviddavid> 0.55-1.mga6
+ Revision: 1079740
- new version: 0.55

* Sat Nov 05 2016 daviddavid <daviddavid> 0.54-1.mga6
+ Revision: 1065451
- new version: 0.54

* Thu Aug 25 2016 daviddavid <daviddavid> 0.53-1.mga6
+ Revision: 1048915
- new version: 0.53

* Sun Jul 24 2016 daviddavid <daviddavid> 0.52-1.mga6
+ Revision: 1043510
- new version: 0.52

* Sat May 28 2016 daviddavid <daviddavid> 0.51-3.mga6
+ Revision: 1019037
- ensure that users are asked to choice a GUI between Qt or GTK (mga#18564)

* Thu May 12 2016 daviddavid <daviddavid> 0.51-2.mga6
+ Revision: 1014263
- fix requires from all libyui-xxxx (prevent to install 32 bit libraries on a 64 bit system)

* Thu May 12 2016 daviddavid <daviddavid> 0.51-1.mga6
+ Revision: 1014133
- new version: 0.51
- port to python3 and libyui
- provides a GTK meta-package and a Qt meta-package

* Fri Mar 25 2016 ennael <ennael> 0.46-1.mga6
+ Revision: 995315
- New design (Animtim)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 daviddavid <daviddavid> 0.44-1.mga6
+ Revision: 904980
- new version: 0.44 (fixes mga#16837)

* Tue Oct 06 2015 daviddavid <daviddavid> 0.43-1.mga6
+ Revision: 886536
- new version: 0.43 (fixes mga#16910)

* Tue Sep 15 2015 daviddavid <daviddavid> 0.42-2.mga6
+ Revision: 879549
- update doc file list (fix build with new rpm 4.13.0)

* Wed May 20 2015 daviddavid <daviddavid> 0.42-1.mga5
+ Revision: 822457
- new version: 0.42 (fix mga#15990)
  * suppress UEFI feature
  * translation update

* Sun Mar 08 2015 daviddavid <daviddavid> 0.41-1.mga5
+ Revision: 818077
- new version: 0.41 (fix mga#15422)

* Sat Feb 21 2015 daviddavid <daviddavid> 0.40-1.mga5
+ Revision: 816253
- new version: 0.40 (fix mga#15236)
- update Url and Source Url

* Sun Dec 21 2014 daviddavid <daviddavid> 0.32-2.mga5
+ Revision: 804653
- add missing requirement on python-dbus

* Mon Nov 10 2014 daviddavid <daviddavid> 0.32-1.mga5
+ Revision: 796233
- new version: 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.31-2.mga5
+ Revision: 745163
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 daviddavid <daviddavid> 0.31-1.mga5
+ Revision: 737348
- new version: 0.31
  * fix security issue when writing log file (mga#14207)

* Tue Sep 16 2014 umeabot <umeabot> 0.30-2.mga5
+ Revision: 680574
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 daviddavid <daviddavid> 0.30-1.mga5
+ Revision: 674377
- add new requires on python-parted
- swith requires procps to procps-ng
- new version: 0.30

* Thu Sep 04 2014 daviddavid <daviddavid> 0.23-1.mga5
+ Revision: 672130
- new version: 0.23
- obsolete usb-imagewriter as it is replaced by isodumper

* Mon Jun 16 2014 akien <akien> 0.22-1.mga5
+ Revision: 637663
- Version 0.22: https://github.com/papoteur-mga/isodumper/releases/tag/0.22

* Thu May 08 2014 daviddavid <daviddavid> 0.21-1.mga5
+ Revision: 621265
- new version: 0.21

* Thu Feb 06 2014 akien <akien> 0.20-4.mga5
+ Revision: 584814
- Bump release
- Repack of version 0.20 to include en_GB translation

* Fri Jan 10 2014 akien <akien> 0.20-2.mga4
+ Revision: 566183
+ rebuild (emptylog)

* Thu Jan 09 2014 akien <akien> 0.20-1.mga4
+ Revision: 565993
- Update to 0.20: https://github.com/papoteur-mga/isodumper/releases/tag/0.20
- Notable change is the switch from usermode to polkit and a function to backup device contents

* Sun Dec 22 2013 akien <akien> 0.13-2.mga4
+ Revision: 559971
- New upstream tarball for 0.13, now the version is displayed in the title bar

* Mon Dec 16 2013 akien <akien> 0.13-1.mga4
+ Revision: 557935
- Update to upstream release 0.13: https://github.com/papoteur-mga/isodumper/releases/tag/0.13
- Now building and installing with a proper Makefile
- Changing BR on usermode-consoleonly to a Requires

* Sun Nov 24 2013 akien <akien> 0.12-1.mga4
+ Revision: 552726
- New upstream release 0.12, with changes:
- Correction of bugs in the device name and in the dialog box loops
- Added a catch of writing error
- Update to upstream release 0.11: https://github.com/papoteur-mga/isodumper/releases/tag/0.11
- Changed spec file to include all validated translations

* Mon Oct 21 2013 umeabot <umeabot> 0.1-2.mga4
+ Revision: 539293
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 akien <akien> 0.1-1.mga4
+ Revision: 489154
- Fixed version number (0.1 instead of 0.10)
- Reverted early change to the locale installation (will be added in future versions)
- Version 0.10
- Improved translation build (david_david)
- Fixed erroneous change of the lib dir
- imported package isodumper

